Page MenuHomePhabricator

Use $1[a-z0-9]+ as insertables in MediaWiki translation
Closed, ResolvedPublic

Description

MediaWiki apihelp messages often have parameters that look like $1user. They are supposed to be unchanged in translation, so it would be useful to have something like /\$1[a-z0-9]+/ as insertables. (It's probably relevant only to apihelp messages, but having it in all MediaWiki groups probably won't hurt.)

Details

Related Gerrit Patches:
mediawiki/extensions/Translate : masterAdded $1[a-z]+ as an insertables

Event Timeline

Amire80 created this task.Jul 23 2015, 12:53 AM
Amire80 raised the priority of this task from to Medium.
Amire80 updated the task description. (Show Details)
Amire80 added subscribers: Amire80, Aklapper.
Amire80 renamed this task from User $1[a-z]+ as insertables in MediaWiki translation to User $1[a-z0-9]+ as insertables in MediaWiki translation.Jul 23 2015, 4:16 AM
Amire80 updated the task description. (Show Details)
Amire80 set Security to None.
Nemo_bis renamed this task from User $1[a-z0-9]+ as insertables in MediaWiki translation to Use $1[a-z0-9]+ as insertables in MediaWiki translation.Sep 10 2015, 7:16 AM

Change 254699 had a related patch set uploaded (by PlasmaPower):
Added $1[a-z0-9] as an insertable

https://gerrit.wikimedia.org/r/254699

Nikerabbit closed this task as Resolved.Dec 4 2015, 4:21 PM
Nikerabbit claimed this task.

Change 254699 merged by Nikerabbit:
Added $1[a-z] as an insertables

https://gerrit.wikimedia.org/r/254699